# Class MailFileFolder

Folder
org.apache.jmeter.protocol.mail.sampler.MailFileFolder

public class MailFileFolder extends Folder

## Constructor Summary

Constructors
Constructor
Description
`MailFileFolder(Store store, String path)`
`MailFileFolder(Store store, URLName path)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendMessages(Message[] messages)`
`void`
`close(boolean expunge)`
`boolean`
`create(int type)`
`boolean`
`delete(boolean recurse)`
`boolean`
`exists()`
`Message[]`
`expunge()`
`Folder`
`getFolder(String name)`
`String`
`getFullName()`
`Message`
`getMessage(int index)`
`int`
`getMessageCount()`
`String`
`getName()`
`Folder`
`getParent()`
`Flags`
`getPermanentFlags()`
`char`
`getSeparator()`
`int`
`getType()`
`boolean`
`hasNewMessages()`
`boolean`
`isOpen()`
`Folder[]`
`list(String pattern)`
`void`
`open(int mode)`
`boolean`
`renameTo(Folder newName)`

## Constructor Details

### MailFileFolder

public MailFileFolder(Store store, String path)

### MailFileFolder

public MailFileFolder(Store store, URLName path)

## Method Details

### appendMessages

public void appendMessages(Message[] messages) throws MessagingException

Throws:
  `MessagingException`

### close

public void close(boolean expunge) throws MessagingException

Throws:
  `MessagingException`

### create

public boolean create(int type) throws MessagingException

Throws:
  `MessagingException`

### delete

public boolean delete(boolean recurse) throws MessagingException

Throws:
  `MessagingException`

### exists

public boolean exists() throws MessagingException

Throws:
  `MessagingException`

### expunge

public Message[] expunge() throws MessagingException

Throws:
  `MessagingException`

### getFolder

public Folder getFolder(String name) throws MessagingException

Throws:
  `MessagingException`

### getFullName

public String getFullName()

### getMessage

public Message getMessage(int index) throws MessagingException

Throws:
  `MessagingException`

### getMessageCount

public int getMessageCount() throws MessagingException

Throws:
  `MessagingException`

### getName

public String getName()

### getParent

public Folder getParent() throws MessagingException

Throws:
  `MessagingException`

### getPermanentFlags

public Flags getPermanentFlags()

### getSeparator

public char getSeparator() throws MessagingException

Throws:
  `MessagingException`

### getType

public int getType() throws MessagingException

Throws:
  `MessagingException`

### hasNewMessages

public boolean hasNewMessages() throws MessagingException

Throws:
  `MessagingException`

### isOpen

public boolean isOpen()

### list

public Folder[] list(String pattern) throws MessagingException

Throws:
  `MessagingException`

### open

public void open(int mode) throws MessagingException

Throws:
  `MessagingException`

### renameTo

public boolean renameTo(Folder newName) throws MessagingException

Throws:
  `MessagingException`